Add multiple datasets to smallnumbers activity
AbandonedPublic

Authored by AkshayCHD on Jun 10 2019, 7:10 AM.

Details

Summary

The following changes have been made

  • added multiple datasets to smallnumber and smallnumber2 activity.
  • added code in parent activity gletters for retrieving current dataset levels.
  • Updated WordList.qml file in core to work with explicitly provided set of levels.

I haven't committed these changes in my gsoc branch as of now, I'll commit these when we finish up with review process of money activity.

Diff Detail

Repository
R2 GCompris
Lint
Lint Skipped
Unit
Unit Tests Skipped
AkshayCHD created this revision.Jun 10 2019, 7:10 AM
Restricted Application added a project: KDE Edu. · View Herald TranscriptJun 10 2019, 7:10 AM
Restricted Application added a subscriber: kde-edu. · View Herald Transcript
AkshayCHD edited the summary of this revision. (Show Details)Jun 10 2019, 7:12 AM
jjazeix added inline comments.
src/activities/smallnumbers/resource/3/Data.qml
27

"up to" (in 2 words)

AkshayCHD updated this revision to Diff 59545.Jun 10 2019, 5:59 PM

typo fixed

jjazeix added inline comments.Jun 14 2019, 8:26 AM
src/core/Wordlist.qml
108

I would separate it in an overriden function, both code are totally unrelated

AkshayCHD updated this revision to Diff 59780.Jun 14 2019, 10:04 AM

Created a separate function to load wordlist from a JSON object in WordList.qml

AkshayCHD added inline comments.Jun 14 2019, 10:07 AM
src/core/Wordlist.qml
108

@jjazeix I created a separate function for loading wordlist from a JSON object as function overloading is not possible in javascript https://www.codeproject.com/Articles/797997/JavaScript-Does-NOT-Support-Method-Overloading-Tha . Is this okay ?

Good job for the activities.
There is an issue when running gletters or wordsgame:
qrc:/gcompris/src/activities/gletters/Gletters.qml:89: TypeError: Type error

There has been some improvements in the multiple_dataset branch, for example adding the ChooseLevelDialog in the activities themselves. Feel free to merge it when you think it won't be too much of a rework and you have time.

src/activities/smallnumbers2/resource/2/Data.qml
27

smallnumbers2 is with dominoes

28

be sure the diff is the same as in the code, this is missing in the repo and causes:
qrc:/gcompris/src/core/DialogChooseLevel.qml:277:33: QML Image: Cannot open: qrc:/gcompris/src/core/resource/difficulty0.svg

src/core/Wordlist.qml
108

yes, sure

timotheegiet accepted this revision.Jun 18 2019, 8:18 PM
timotheegiet added a subscriber: timotheegiet.

I didn't comment before as I saw others did and I didn't see anything more to say on that diff.
But yes, good work!

By the way while testing this diff, I noticed the difficulty icon on the activities in the menu is not following: it should be changing depending on the selected dataset levels (if several datasets selected, use the highest difficulty icon from those).
Is it something that you plan to work ?

This revision is now accepted and ready to land.Jun 18 2019, 8:18 PM

Added comment on sub objectives.

src/activities/smallnumbers2/resource/3/Data.qml
31

On a pedagogical point of view we absolutly need here an objective per level.
Pupils have to know what they are learning. The main goal is not enough.
We should have an objective within data: :[ displayed by a message before to start any new level.

amankumargupta added inline comments.
src/activities/smallnumbers/resource/1/Data.qml
27

"Select a number on the dice upto ..." . Same comments for the ones below.

scagarwal requested changes to this revision.Jun 19 2019, 8:08 AM
scagarwal added a subscriber: scagarwal.
scagarwal added inline comments.
src/activities/gletters/Gletters.qml
89

Do not use undefined . Please use null

src/activities/gletters/gletters.js
79

undefined should not be used. better use !items.levels

98

undefined should not be used. better use !items.levels

This revision now requires changes to proceed.Jun 19 2019, 8:08 AM
AkshayCHD marked 5 inline comments as done.Jun 22 2019, 6:40 AM
AkshayCHD added inline comments.
src/activities/gletters/Gletters.qml
89
src/activities/smallnumbers/resource/1/Data.qml
27
src/activities/smallnumbers2/resource/3/Data.qml
31

@echarruau I have implemented objective text per level you may have a look at it here https://phabricator.kde.org/D21841

AkshayCHD edited the test plan for this revision. (Show Details)Jun 24 2019, 12:44 PM
AkshayCHD edited the test plan for this revision. (Show Details)
AkshayCHD abandoned this revision.Jul 16 2019, 1:05 PM
AkshayCHD marked 3 inline comments as done.